xmlwrapp Lightweight C++ XML parsing library

Classes | Namespaces
nodes_view.h File Reference
`#include "xmlwrapp/init.h"`
`#include "xmlwrapp/export.h"`
`#include <iterator>`
Include dependency graph for nodes_view.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | xml::nodes_view
| This class implements a view of XML nodes. More...
class | xml::nodes_view::iterator
| The iterator provides a way to access nodes in the view similar to a standard C++ container. More...
class | xml::nodes_view::const_iterator
| The const_iterator provides a way to access nodes in the view similar to a standard C++ container. More...
class | xml::const_nodes_view
| This class implements a read-only view of XML nodes. More...

## Namespaces
| xml
| XML library namespace.

## Detailed Description

This file contains the definition of the xml::nodes_view and xml::const_nodes_view classes.